Permalink
Browse files

Removed outdated libs

  • Loading branch information...
sergeyklay committed Oct 27, 2016
1 parent 13c0ba3 commit 16aa8cd69f0e9bf33fdbc808eda1037f97698bf4
View
@@ -20,5 +20,8 @@ indent_style = tab
[*.yml]
indent_size = 2
[*.rb]
indent_size = 2
[*.suite.yml]
indent_size = 4
View
Binary file not shown.
@@ -1,6 +1,19 @@
#Task 'composer install'
# Task 'composer install'
set :composer_command, 'php composer.phar'
set :composer_download_url, 'https://getcomposer.org/installer'
namespace :deploy do
task :install_executable do
on roles(:web) do
within shared_path do
unless test "[", "-e", "composer.phar", "]"
execute :curl, "-s", fetch(:composer_download_url), "|", :php
end
end
end
end
task :install_composer do
on roles(:web) do
execute "cd '#{release_path}'; #{fetch(:composer_command)} install --no-dev --optimize-autoloader"
View
@@ -1,13 +1,19 @@
#!/usr/bin/env bash
COMPOSER_PATH=$(which composer 2> /dev/null)
if [ -z "$COMPOSER_PATH" ]; then
curl -sS https://getcomposer.org/installer | php -- --install-dir=/usr/local/bin --filename=composer
fi
#cp app/config/config.example.php app/config/config.php
echo ">>Install composer"
cd "${ROOT_DIR}"
if [[ ! -d "vendor" && "$ENV" == "production" ]]; then
php composer.phar install --no-ansi --no-dev --no-interaction --no-progress --no-scripts --optimize-autoloader
composer install --no-ansi --no-dev --no-interaction --no-progress --no-scripts --optimize-autoloader
fi
if [[ ! -d "vendor" && "$ENV" == "development" ]]; then
php composer.phar install --no-ansi --no-interaction --no-progress --no-scripts --optimize-autoloader
composer install --no-ansi --no-interaction --no-progress --no-scripts --optimize-autoloader
fi
if [[ ! -f "core/config/config.php" && "$ENV" == "development" ]]; then
cp core/config/config.vagrant.php core/config/config.php
View
@@ -16,8 +16,8 @@ getThemeBlog() {
git clone --depth=1 https://github.com/phanbook/blog.git
fi
}
#Setup some dependency
#rm -rf opsfiles
# Setup some dependency
# rm -rf opsfiles
if [ ! -d "opsfiles" ]; then
git clone --depth=1 git@github.com:phanbook/opsfiles.git
fi
@@ -46,7 +46,7 @@ if [ "blog" == "$2" ]; then
getThemeBlog
fi
#Docker setup
# Docker setup
if [ "docker" == "$1" ]; then
if ! which docker > /dev/null; then
echo "Docker doesn't seem to be installed. Please download and install it"
@@ -69,9 +69,9 @@ if [ "docker" == "$1" ]; then
docker-compose up -d
fi
#Fix PSR2
# Fix PSR2
if [ 'psr2' == "$1" ]; then
php phpcbf.phar --standard=PSR2 $2
vendor/bin/phpcbf --standard=PSR2 $2
fi
View
Binary file not shown.

0 comments on commit 16aa8cd

Please sign in to comment.